Name: H5Tget_member_value
Signature:
  herr_t `H5Tget_member_value`(hid_t `type` unsigned `memb_no`, void *`value` )
Purpose:
  Returns the value of an enumeration datatype member.
Description:
  `H5Tget_member_value` returns the value of the enumeration datatype member `memb_no`.

  The member value is returned in a user-supplied buffer pointed to by `value`.

Parameters:

hid_t `type` | IN: Datatype identifier for the enumeration datatype.
unsigned `memb_no`, | IN: Number of the enumeration datatype member.
void *`value` | OUT: Pointer to a buffer for output of the value of the enumeration datatype member.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5tget_member_value_f

      SUBROUTINE h5tget_member_value_f(type_id,  member_no, value, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id ! Datatype identifier
        INTEGER, INTENT(IN) :: member_no      ! Number of the enumeration
                                              ! datatype member
        INTEGER, INTENT(OUT) :: value         ! Value of the enumeration datatype
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
      END SUBROUTINE h5tget_member_value_f

History:

Release | C
1.6.4 | `membno` parameter type changed to unsigned.